/**
 * DevExtreme (cjs/__internal/core/utils/promise.js)
 * Version: 23.1.11
 * Build date: Mon Jun 24 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.createPromise = createPromise;

function createPromise() {
    var resolve;
    var reject;
    var promise = new Promise((function(res, rej) {
        resolve = res;
        reject = rej
    }));
    return {
        promise: promise,
        resolve: resolve,
        reject: reject
    }
}
